# CEGUI::Event::ScopedConnection Class Reference

A Connection object that automatically disconnects from the event when the ScropedConnection object goes out of scope (and is deleted). More...

List of all members.

## Public Member Functions

| ScopedConnection (Connection conn_)

## Public Attributes

Connection | conn

## Detailed Description

A Connection object that automatically disconnects from the event when the ScropedConnection object goes out of scope (and is deleted).